from sys import argv
import requests
import re
import sys
import xbmcgui
import xbmcplugin

def get_ufanet_cams():
    cam_url = "http://maps.ufanet.ru/g-joshkar-ola"
    pattern = "marker.name = '(.+)';\n {20}marker.server = '(.*)';\n {20}marker.number = '(.*)';\n {20}marker.token = '(.*)';"
    site_body = requests.get(cam_url).text
    return re.findall(pattern,site_body)
    # for web in result:
    #     name = web[0]
    #     ip = web[1]
    #     id = web[2]
    #     token = web[3]
    #     web_url = f"http://{ip}/{id}/index.fmp4.m3u8?token={token}"
    #     print(name,web_url)

def main():
    addon_handle = int(argv[1])
    cams = get_ufanet_cams()
    xbmcplugin.setContent(addon_handle, 'movies')
    for cam in cams:
        li = xbmcgui.ListItem(cam[0])
        web_url = f"http://{cam[1]}/{cam[2]}/index.fmp4.m3u8?token={cam[3]}"
        xbmcplugin.addDirectoryItem(handle=addon_handle, url=web_url, listitem=li)
    xbmcplugin.endOfDirectory(addon_handle)

if __name__ == '__main__':
    main()